### org.jfree.layouting.layouter.model

# Class LayoutNode

- `java.lang.Object`
- - `org.jfree.layouting.layouter.model.LayoutNode`

Implemented Interfaces:
  Serializable

Known Direct Subclasses:
  LayoutElement, LayoutText

`public abstract class LayoutNode`
`extends java.lang.Object`
`implements Serializable`

Creation-Date: 27.05.2006, 16:02:15

Author:
  Thomas Morgner

  ## Constructor Summary

  `LayoutNode(LayoutElement parent)`

  ## Method Summary

  `LayoutElement`

  `getParent()`

## Constructor Details

### LayoutNode

    protected LayoutNode(LayoutElement parent)

## Method Details

### getParent

    public LayoutElement getParent()